/*
| This program is a part of the Quest Code Tester for Oracle:
|
| Design, Generate, Run Test Code
| www.quest.com/code-tester-for-oracle
|
| Copyright 2007, Quest Software, Inc. 
| All rights reserved.
|
| This script grants necessary privs on
| Quest Code Tester objects. Run it in SQL*Plus or a
| compatible engine and provide the name of the schema
| from which you want to access Code Tester for the
| single substitution variable value.
*/

REM Grant execute on packages

GRANT EXECUTE ON QU_ALL_ARGUMENTS_CP TO &&1;
GRANT EXECUTE ON QU_ALL_ARGUMENTS_QP TO &&1;
GRANT EXECUTE ON QU_ALL_ARGUMENTS_TP TO &&1;
GRANT EXECUTE ON QU_ALL_ARGUMENTS_XP TO &&1;
GRANT EXECUTE ON QU_ALL_OBJECTS TO &&1;
GRANT EXECUTE ON QU_ASSERTION_CODE_CP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_CODE_QP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_CODE_TP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_CP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_GROUP_CP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_GROUP_QP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_GROUP_TP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_HDR_CP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_HDR_QP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_HDR_TP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_PH_CP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_PH_QP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_PH_TP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_QP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_TP TO &&1;
GRANT EXECUTE ON QU_ASSERTION_XP TO &&1;
GRANT EXECUTE ON QU_ATTRIBUTES_CP TO &&1;
GRANT EXECUTE ON QU_ATTRIBUTES_QP TO &&1;
GRANT EXECUTE ON QU_ATTRIBUTES_TP TO &&1;
GRANT EXECUTE ON QU_ATTRIBUTES_XP TO &&1;
GRANT EXECUTE ON QU_COLUMN_SET_CP TO &&1;
GRANT EXECUTE ON QU_COLUMN_SET_QP TO &&1;
GRANT EXECUTE ON QU_COLUMN_SET_TP TO &&1;
GRANT EXECUTE ON QU_COLUMN_SET_XP TO &&1;
GRANT EXECUTE ON QU_CONFIG TO &&1;
GRANT EXECUTE ON QU_DATATYPE_CP TO &&1;
GRANT EXECUTE ON QU_DATATYPE_QP TO &&1;
GRANT EXECUTE ON QU_DATATYPE_TP TO &&1;
GRANT EXECUTE ON QU_DATATYPE_XP TO &&1;
GRANT EXECUTE ON QU_DEMO_CATEGORY_CP TO &&1;
GRANT EXECUTE ON QU_DEMO_CATEGORY_QP TO &&1;
GRANT EXECUTE ON QU_DEMO_CATEGORY_TP TO &&1;
GRANT EXECUTE ON QU_DEMO_TOPIC_CP TO &&1;
GRANT EXECUTE ON QU_DEMO_TOPIC_QP TO &&1;
GRANT EXECUTE ON QU_DEMO_TOPIC_TP TO &&1;
GRANT EXECUTE ON QU_DEMO_TOPIC_XP TO &&1;
GRANT EXECUTE ON QU_DESCRIBE TO &&1;
GRANT EXECUTE ON QU_DTC TO &&1;
GRANT EXECUTE ON QU_GENERATE TO &&1;
GRANT EXECUTE ON QU_HARNESS_CP TO &&1;
GRANT EXECUTE ON QU_HARNESS_QP TO &&1;
GRANT EXECUTE ON QU_HARNESS_TP TO &&1;
GRANT EXECUTE ON QU_HARNESS_XP TO &&1;
GRANT EXECUTE ON QU_HELPER TO &&1;
GRANT EXECUTE ON QU_INPUT_CP TO &&1;
GRANT EXECUTE ON QU_INPUT_QP TO &&1;
GRANT EXECUTE ON QU_INPUT_TP TO &&1;
GRANT EXECUTE ON QU_INPUT_XP TO &&1;
GRANT EXECUTE ON QU_INTVAL_CP TO &&1;
GRANT EXECUTE ON QU_INTVAL_HDR_CP TO &&1;
GRANT EXECUTE ON QU_INTVAL_HDR_QP TO &&1;
GRANT EXECUTE ON QU_INTVAL_HDR_TP TO &&1;
GRANT EXECUTE ON QU_INTVAL_HDR_XP TO &&1;
GRANT EXECUTE ON QU_INTVAL_QP TO &&1;
GRANT EXECUTE ON QU_INTVAL_TP TO &&1;
GRANT EXECUTE ON QU_OPERATOR_CP TO &&1;
GRANT EXECUTE ON QU_OPERATOR_QP TO &&1;
GRANT EXECUTE ON QU_OPERATOR_TP TO &&1;
GRANT EXECUTE ON QU_OPERATOR_XP TO &&1;
GRANT EXECUTE ON QU_OUTCOME_CP TO &&1;
GRANT EXECUTE ON QU_OUTCOME_QP TO &&1;
GRANT EXECUTE ON QU_OUTCOME_TP TO &&1;
GRANT EXECUTE ON QU_OUTCOME_XP TO &&1;
GRANT EXECUTE ON QU_PIPE TO &&1;
GRANT EXECUTE ON QU_PLACEHOLDER_CP TO &&1;
GRANT EXECUTE ON QU_PLACEHOLDER_QP TO &&1;
GRANT EXECUTE ON QU_PLACEHOLDER_TP TO &&1;
GRANT EXECUTE ON QU_PROFILE_ATTR_CP TO &&1;
GRANT EXECUTE ON QU_PROFILE_ATTR_QP TO &&1;
GRANT EXECUTE ON QU_PROFILE_ATTR_TP TO &&1;
GRANT EXECUTE ON QU_PROFILE_CP TO &&1;
GRANT EXECUTE ON QU_PROFILE_GROUP_CP TO &&1;
GRANT EXECUTE ON QU_PROFILE_GROUP_QP TO &&1;
GRANT EXECUTE ON QU_PROFILE_GROUP_TP TO &&1;
GRANT EXECUTE ON QU_PROFILE_GROUP_XP TO &&1;
GRANT EXECUTE ON QU_PROFILE_OUTCOME_CP TO &&1;
GRANT EXECUTE ON QU_PROFILE_OUTCOME_QP TO &&1;
GRANT EXECUTE ON QU_PROFILE_OUTCOME_TP TO &&1;
GRANT EXECUTE ON QU_PROFILE_QP TO &&1;
GRANT EXECUTE ON QU_PROFILE_TP TO &&1;
GRANT EXECUTE ON QU_REPLACE TO &&1;
GRANT EXECUTE ON QU_RESULT_CP TO &&1;
GRANT EXECUTE ON QU_RESULT_QP TO &&1;
GRANT EXECUTE ON QU_RESULT_TP TO &&1;
GRANT EXECUTE ON QU_RESULT_XP TO &&1;
GRANT EXECUTE ON QU_RULE_CP TO &&1;
GRANT EXECUTE ON QU_RULE_QP TO &&1;
GRANT EXECUTE ON QU_RULE_TP TO &&1;
GRANT EXECUTE ON QU_RULE_XP TO &&1;
GRANT EXECUTE ON QU_RUNTIME TO &&1;
GRANT EXECUTE ON QU_SUBSTITUTION_CP TO &&1;
GRANT EXECUTE ON QU_SUBSTITUTION_QP TO &&1;
GRANT EXECUTE ON QU_SUBSTITUTION_TP TO &&1;
GRANT EXECUTE ON QU_SUBSTITUTION_XP TO &&1;
GRANT EXECUTE ON QU_SUITE_CP TO &&1;
GRANT EXECUTE ON QU_SUITE_HARNESS_CP TO &&1;
GRANT EXECUTE ON QU_SUITE_HARNESS_QP TO &&1;
GRANT EXECUTE ON QU_SUITE_HARNESS_TP TO &&1;
GRANT EXECUTE ON QU_SUITE_HARNESS_XP TO &&1;
GRANT EXECUTE ON QU_SUITE_QP TO &&1;
GRANT EXECUTE ON QU_SUITE_TP TO &&1;
GRANT EXECUTE ON QU_SUITE_YP TO &&1;
GRANT EXECUTE ON QU_TEMPLATE_CP TO &&1;
GRANT EXECUTE ON QU_TEMPLATE_QP TO &&1;
GRANT EXECUTE ON QU_TEMPLATE_TP TO &&1;
GRANT EXECUTE ON QU_TEMPLATE_XP TO &&1;
GRANT EXECUTE ON QU_TEST TO &&1;
GRANT EXECUTE ON QU_TEST_CASE_CP TO &&1;
GRANT EXECUTE ON QU_TEST_CASE_QP TO &&1;
GRANT EXECUTE ON QU_TEST_CASE_TP TO &&1;
GRANT EXECUTE ON QU_TEST_CASE_XP TO &&1;
GRANT EXECUTE ON QU_TEST_ELEMENT_CP TO &&1;
GRANT EXECUTE ON QU_TEST_ELEMENT_QP TO &&1;
GRANT EXECUTE ON QU_TEST_ELEMENT_TP TO &&1;
GRANT EXECUTE ON QU_TEST_ELEMENT_XP TO &&1;
GRANT EXECUTE ON QU_TE_INTVAL_CP TO &&1;
GRANT EXECUTE ON QU_TE_INTVAL_QP TO &&1;
GRANT EXECUTE ON QU_TE_INTVAL_TP TO &&1;
GRANT EXECUTE ON QU_UNIT_TEST_CP TO &&1;
GRANT EXECUTE ON QU_UNIT_TEST_QP TO &&1;
GRANT EXECUTE ON QU_UNIT_TEST_TP TO &&1;
GRANT EXECUTE ON QU_UNIT_TEST_XP TO &&1;
GRANT EXECUTE ON QU_USED TO &&1;
GRANT EXECUTE ON QU_UTPLSQL_API TO &&1;
GRANT EXECUTE ON QU_VALIDATION_CP TO &&1;
GRANT EXECUTE ON QU_VALIDATION_HDR_CP TO &&1;
GRANT EXECUTE ON QU_VALIDATION_HDR_QP TO &&1;
GRANT EXECUTE ON QU_VALIDATION_HDR_TP TO &&1;
GRANT EXECUTE ON QU_VALIDATION_QP TO &&1;
GRANT EXECUTE ON QU_VALIDATION_TP TO &&1;
GRANT EXECUTE ON QU_VERIFY TO &&1;
GRANT EXECUTE ON QU_WORKAROUND TO &&1;
GRANT EXECUTE ON QU_XML TO &&1;
GRANT EXECUTE ON QV_QU_ASSERTION TO &&1;
GRANT EXECUTE ON QV_QU_DATATYPE TO &&1;
GRANT EXECUTE ON QV_QU_INTVAL_HDR TO &&1;
GRANT EXECUTE ON QV_QU_OPERATOR TO &&1;
GRANT EXECUTE ON QV_QU_PROFILE TO &&1;
GRANT EXECUTE ON QV_QU_PROFILE_GROUP TO &&1;
GRANT EXECUTE ON QV_QU_TEMPLATE TO &&1;
GRANT EXECUTE ON QV_QU_TEST_ELEMENT TO &&1;

REM Grant object privileges on some tables

GRANT SELECT,INSERT,DELETE ON qu_all_arguments TO &&1;
GRANT SELECT ON qu_all_arguments_seq TO &&1;

GRANT SELECT,UPDATE ON qu_harness TO &&1;
GRANT SELECT ON qu_suite_harness TO &&1;
GRANT SELECT,UPDATE ON qu_unit_test TO &&1;
GRANT SELECT,UPDATE,INSERT ON qu_test_case TO &&1;
GRANT SELECT,UPDATE ON qu_test_element TO &&1;
GRANT SELECT,UPDATE,INSERT ON qu_input TO &&1;
GRANT SELECT,UPDATE,INSERT ON qu_outcome TO &&1;
GRANT SELECT,UPDATE,INSERT ON qu_attributes TO &&1;
GRANT SELECT ON qu_result TO &&1;
GRANT SELECT ON qu_assertion TO &&1;
GRANT SELECT ON qu_datatype TO &&1;
GRANT SELECT ON qu_intval_hdr TO &&1;
GRANT SELECT ON qu_intval TO &&1;
GRANT SELECT ON qu_log TO &&1;

REM Grant execute privileges on some types

GRANT EXECUTE ON qu_column_set_ot TO &&1;
GRANT EXECUTE ON qu_column_set_vat TO &&1;
