/*
| This program is a part of the Quest Code Tester for Oracle:
|
| Design, Generate, Run Test Code
| www.quest.com/code-tester-for-oracle
|
| Copyright 2007, Quest Software, Inc. 
| All rights reserved.
|
| This script creates private synonyms for
| Quest Code Tester objects. Run it in SQL*Plus or a
| compatible engine and provide the name of the schema
| that owns Code Tester for the single substitution 
| variable value.
*/

CREATE OR REPLACE SYNONYM QU_ALL_ARGUMENTS_CP FOR &&1..QU_ALL_ARGUMENTS_CP;
CREATE OR REPLACE SYNONYM QU_ALL_ARGUMENTS_QP FOR &&1..QU_ALL_ARGUMENTS_QP;
CREATE OR REPLACE SYNONYM QU_ALL_ARGUMENTS_TP FOR &&1..QU_ALL_ARGUMENTS_TP;
CREATE OR REPLACE SYNONYM QU_ALL_ARGUMENTS_XP FOR &&1..QU_ALL_ARGUMENTS_XP;
CREATE OR REPLACE SYNONYM QU_ALL_OBJECTS FOR &&1..QU_ALL_OBJECTS;
CREATE OR REPLACE SYNONYM QU_ASSERTION_CODE_CP FOR &&1..QU_ASSERTION_CODE_CP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_CODE_QP FOR &&1..QU_ASSERTION_CODE_QP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_CODE_TP FOR &&1..QU_ASSERTION_CODE_TP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_CP FOR &&1..QU_ASSERTION_CP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_GROUP_CP FOR &&1..QU_ASSERTION_GROUP_CP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_GROUP_QP FOR &&1..QU_ASSERTION_GROUP_QP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_GROUP_TP FOR &&1..QU_ASSERTION_GROUP_TP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_HDR_CP FOR &&1..QU_ASSERTION_HDR_CP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_HDR_QP FOR &&1..QU_ASSERTION_HDR_QP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_HDR_TP FOR &&1..QU_ASSERTION_HDR_TP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_PH_CP FOR &&1..QU_ASSERTION_PH_CP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_PH_QP FOR &&1..QU_ASSERTION_PH_QP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_PH_TP FOR &&1..QU_ASSERTION_PH_TP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_QP FOR &&1..QU_ASSERTION_QP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_TP FOR &&1..QU_ASSERTION_TP;
CREATE OR REPLACE SYNONYM QU_ASSERTION_XP FOR &&1..QU_ASSERTION_XP;
CREATE OR REPLACE SYNONYM QU_ATTRIBUTES_CP FOR &&1..QU_ATTRIBUTES_CP;
CREATE OR REPLACE SYNONYM QU_ATTRIBUTES_QP FOR &&1..QU_ATTRIBUTES_QP;
CREATE OR REPLACE SYNONYM QU_ATTRIBUTES_TP FOR &&1..QU_ATTRIBUTES_TP;
CREATE OR REPLACE SYNONYM QU_ATTRIBUTES_XP FOR &&1..QU_ATTRIBUTES_XP;
CREATE OR REPLACE SYNONYM QU_COLUMN_SET_CP FOR &&1..QU_COLUMN_SET_CP;
CREATE OR REPLACE SYNONYM QU_COLUMN_SET_QP FOR &&1..QU_COLUMN_SET_QP;
CREATE OR REPLACE SYNONYM QU_COLUMN_SET_TP FOR &&1..QU_COLUMN_SET_TP;
CREATE OR REPLACE SYNONYM QU_COLUMN_SET_XP FOR &&1..QU_COLUMN_SET_XP;
CREATE OR REPLACE SYNONYM QU_CONFIG FOR &&1..QU_CONFIG;
CREATE OR REPLACE SYNONYM QU_DATATYPE_CP FOR &&1..QU_DATATYPE_CP;
CREATE OR REPLACE SYNONYM QU_DATATYPE_QP FOR &&1..QU_DATATYPE_QP;
CREATE OR REPLACE SYNONYM QU_DATATYPE_TP FOR &&1..QU_DATATYPE_TP;
CREATE OR REPLACE SYNONYM QU_DATATYPE_XP FOR &&1..QU_DATATYPE_XP;
CREATE OR REPLACE SYNONYM QU_DEMO_CATEGORY_CP FOR &&1..QU_DEMO_CATEGORY_CP;
CREATE OR REPLACE SYNONYM QU_DEMO_CATEGORY_QP FOR &&1..QU_DEMO_CATEGORY_QP;
CREATE OR REPLACE SYNONYM QU_DEMO_CATEGORY_TP FOR &&1..QU_DEMO_CATEGORY_TP;
CREATE OR REPLACE SYNONYM QU_DEMO_TOPIC_CP FOR &&1..QU_DEMO_TOPIC_CP;
CREATE OR REPLACE SYNONYM QU_DEMO_TOPIC_QP FOR &&1..QU_DEMO_TOPIC_QP;
CREATE OR REPLACE SYNONYM QU_DEMO_TOPIC_TP FOR &&1..QU_DEMO_TOPIC_TP;
CREATE OR REPLACE SYNONYM QU_DEMO_TOPIC_XP FOR &&1..QU_DEMO_TOPIC_XP;
CREATE OR REPLACE SYNONYM QU_DESCRIBE FOR &&1..QU_DESCRIBE;
CREATE OR REPLACE SYNONYM QU_DTC FOR &&1..QU_DTC;
CREATE OR REPLACE SYNONYM QU_GENERATE FOR &&1..QU_GENERATE;
CREATE OR REPLACE SYNONYM QU_HARNESS_CP FOR &&1..QU_HARNESS_CP;
CREATE OR REPLACE SYNONYM QU_HARNESS_QP FOR &&1..QU_HARNESS_QP;
CREATE OR REPLACE SYNONYM QU_HARNESS_TP FOR &&1..QU_HARNESS_TP;
CREATE OR REPLACE SYNONYM QU_HARNESS_XP FOR &&1..QU_HARNESS_XP;
CREATE OR REPLACE SYNONYM QU_HELPER FOR &&1..QU_HELPER;
CREATE OR REPLACE SYNONYM QU_INPUT_CP FOR &&1..QU_INPUT_CP;
CREATE OR REPLACE SYNONYM QU_INPUT_QP FOR &&1..QU_INPUT_QP;
CREATE OR REPLACE SYNONYM QU_INPUT_TP FOR &&1..QU_INPUT_TP;
CREATE OR REPLACE SYNONYM QU_INPUT_XP FOR &&1..QU_INPUT_XP;
CREATE OR REPLACE SYNONYM QU_INTVAL_CP FOR &&1..QU_INTVAL_CP;
CREATE OR REPLACE SYNONYM QU_INTVAL_HDR_CP FOR &&1..QU_INTVAL_HDR_CP;
CREATE OR REPLACE SYNONYM QU_INTVAL_HDR_QP FOR &&1..QU_INTVAL_HDR_QP;
CREATE OR REPLACE SYNONYM QU_INTVAL_HDR_TP FOR &&1..QU_INTVAL_HDR_TP;
CREATE OR REPLACE SYNONYM QU_INTVAL_HDR_XP FOR &&1..QU_INTVAL_HDR_XP;
CREATE OR REPLACE SYNONYM QU_INTVAL_QP FOR &&1..QU_INTVAL_QP;
CREATE OR REPLACE SYNONYM QU_INTVAL_TP FOR &&1..QU_INTVAL_TP;
CREATE OR REPLACE SYNONYM QU_OPERATOR_CP FOR &&1..QU_OPERATOR_CP;
CREATE OR REPLACE SYNONYM QU_OPERATOR_QP FOR &&1..QU_OPERATOR_QP;
CREATE OR REPLACE SYNONYM QU_OPERATOR_TP FOR &&1..QU_OPERATOR_TP;
CREATE OR REPLACE SYNONYM QU_OPERATOR_XP FOR &&1..QU_OPERATOR_XP;
CREATE OR REPLACE SYNONYM QU_OUTCOME_CP FOR &&1..QU_OUTCOME_CP;
CREATE OR REPLACE SYNONYM QU_OUTCOME_QP FOR &&1..QU_OUTCOME_QP;
CREATE OR REPLACE SYNONYM QU_OUTCOME_TP FOR &&1..QU_OUTCOME_TP;
CREATE OR REPLACE SYNONYM QU_OUTCOME_XP FOR &&1..QU_OUTCOME_XP;
CREATE OR REPLACE SYNONYM QU_PIPE FOR &&1..QU_PIPE;
CREATE OR REPLACE SYNONYM QU_PLACEHOLDER_CP FOR &&1..QU_PLACEHOLDER_CP;
CREATE OR REPLACE SYNONYM QU_PLACEHOLDER_QP FOR &&1..QU_PLACEHOLDER_QP;
CREATE OR REPLACE SYNONYM QU_PLACEHOLDER_TP FOR &&1..QU_PLACEHOLDER_TP;
CREATE OR REPLACE SYNONYM QU_PROFILE_ATTR_CP FOR &&1..QU_PROFILE_ATTR_CP;
CREATE OR REPLACE SYNONYM QU_PROFILE_ATTR_QP FOR &&1..QU_PROFILE_ATTR_QP;
CREATE OR REPLACE SYNONYM QU_PROFILE_ATTR_TP FOR &&1..QU_PROFILE_ATTR_TP;
CREATE OR REPLACE SYNONYM QU_PROFILE_CP FOR &&1..QU_PROFILE_CP;
CREATE OR REPLACE SYNONYM QU_PROFILE_GROUP_CP FOR &&1..QU_PROFILE_GROUP_CP;
CREATE OR REPLACE SYNONYM QU_PROFILE_GROUP_QP FOR &&1..QU_PROFILE_GROUP_QP;
CREATE OR REPLACE SYNONYM QU_PROFILE_GROUP_TP FOR &&1..QU_PROFILE_GROUP_TP;
CREATE OR REPLACE SYNONYM QU_PROFILE_GROUP_XP FOR &&1..QU_PROFILE_GROUP_XP;
CREATE OR REPLACE SYNONYM QU_PROFILE_OUTCOME_CP FOR &&1..QU_PROFILE_OUTCOME_CP;
CREATE OR REPLACE SYNONYM QU_PROFILE_OUTCOME_QP FOR &&1..QU_PROFILE_OUTCOME_QP;
CREATE OR REPLACE SYNONYM QU_PROFILE_OUTCOME_TP FOR &&1..QU_PROFILE_OUTCOME_TP;
CREATE OR REPLACE SYNONYM QU_PROFILE_QP FOR &&1..QU_PROFILE_QP;
CREATE OR REPLACE SYNONYM QU_PROFILE_TP FOR &&1..QU_PROFILE_TP;
CREATE OR REPLACE SYNONYM QU_REPLACE FOR &&1..QU_REPLACE;
CREATE OR REPLACE SYNONYM QU_RESULT_CP FOR &&1..QU_RESULT_CP;
CREATE OR REPLACE SYNONYM QU_RESULT_QP FOR &&1..QU_RESULT_QP;
CREATE OR REPLACE SYNONYM QU_RESULT_TP FOR &&1..QU_RESULT_TP;
CREATE OR REPLACE SYNONYM QU_RESULT_XP FOR &&1..QU_RESULT_XP;
CREATE OR REPLACE SYNONYM QU_RULE_CP FOR &&1..QU_RULE_CP;
CREATE OR REPLACE SYNONYM QU_RULE_QP FOR &&1..QU_RULE_QP;
CREATE OR REPLACE SYNONYM QU_RULE_TP FOR &&1..QU_RULE_TP;
CREATE OR REPLACE SYNONYM QU_RULE_XP FOR &&1..QU_RULE_XP;
CREATE OR REPLACE SYNONYM QU_RUNTIME FOR &&1..QU_RUNTIME;
CREATE OR REPLACE SYNONYM QU_SUBSTITUTION_CP FOR &&1..QU_SUBSTITUTION_CP;
CREATE OR REPLACE SYNONYM QU_SUBSTITUTION_QP FOR &&1..QU_SUBSTITUTION_QP;
CREATE OR REPLACE SYNONYM QU_SUBSTITUTION_TP FOR &&1..QU_SUBSTITUTION_TP;
CREATE OR REPLACE SYNONYM QU_SUBSTITUTION_XP FOR &&1..QU_SUBSTITUTION_XP;
CREATE OR REPLACE SYNONYM QU_SUITE_CP FOR &&1..QU_SUITE_CP;
CREATE OR REPLACE SYNONYM QU_SUITE_HARNESS_CP FOR &&1..QU_SUITE_HARNESS_CP;
CREATE OR REPLACE SYNONYM QU_SUITE_HARNESS_QP FOR &&1..QU_SUITE_HARNESS_QP;
CREATE OR REPLACE SYNONYM QU_SUITE_HARNESS_TP FOR &&1..QU_SUITE_HARNESS_TP;
CREATE OR REPLACE SYNONYM QU_SUITE_HARNESS_XP FOR &&1..QU_SUITE_HARNESS_XP;
CREATE OR REPLACE SYNONYM QU_SUITE_QP FOR &&1..QU_SUITE_QP;
CREATE OR REPLACE SYNONYM QU_SUITE_TP FOR &&1..QU_SUITE_TP;
CREATE OR REPLACE SYNONYM QU_SUITE_YP FOR &&1..QU_SUITE_YP;
CREATE OR REPLACE SYNONYM QU_TEMPLATE_CP FOR &&1..QU_TEMPLATE_CP;
CREATE OR REPLACE SYNONYM QU_TEMPLATE_QP FOR &&1..QU_TEMPLATE_QP;
CREATE OR REPLACE SYNONYM QU_TEMPLATE_TP FOR &&1..QU_TEMPLATE_TP;
CREATE OR REPLACE SYNONYM QU_TEMPLATE_XP FOR &&1..QU_TEMPLATE_XP;
CREATE OR REPLACE SYNONYM QU_TEST FOR &&1..QU_TEST;
CREATE OR REPLACE SYNONYM QU_TEST_CASE_CP FOR &&1..QU_TEST_CASE_CP;
CREATE OR REPLACE SYNONYM QU_TEST_CASE_QP FOR &&1..QU_TEST_CASE_QP;
CREATE OR REPLACE SYNONYM QU_TEST_CASE_TP FOR &&1..QU_TEST_CASE_TP;
CREATE OR REPLACE SYNONYM QU_TEST_CASE_XP FOR &&1..QU_TEST_CASE_XP;
CREATE OR REPLACE SYNONYM QU_TEST_ELEMENT_CP FOR &&1..QU_TEST_ELEMENT_CP;
CREATE OR REPLACE SYNONYM QU_TEST_ELEMENT_QP FOR &&1..QU_TEST_ELEMENT_QP;
CREATE OR REPLACE SYNONYM QU_TEST_ELEMENT_TP FOR &&1..QU_TEST_ELEMENT_TP;
CREATE OR REPLACE SYNONYM QU_TEST_ELEMENT_XP FOR &&1..QU_TEST_ELEMENT_XP;
CREATE OR REPLACE SYNONYM QU_TE_INTVAL_CP FOR &&1..QU_TE_INTVAL_CP;
CREATE OR REPLACE SYNONYM QU_TE_INTVAL_QP FOR &&1..QU_TE_INTVAL_QP;
CREATE OR REPLACE SYNONYM QU_TE_INTVAL_TP FOR &&1..QU_TE_INTVAL_TP;
CREATE OR REPLACE SYNONYM QU_UNIT_TEST_CP FOR &&1..QU_UNIT_TEST_CP;
CREATE OR REPLACE SYNONYM QU_UNIT_TEST_QP FOR &&1..QU_UNIT_TEST_QP;
CREATE OR REPLACE SYNONYM QU_UNIT_TEST_TP FOR &&1..QU_UNIT_TEST_TP;
CREATE OR REPLACE SYNONYM QU_UNIT_TEST_XP FOR &&1..QU_UNIT_TEST_XP;
CREATE OR REPLACE SYNONYM QU_USED FOR &&1..QU_USED;
CREATE OR REPLACE SYNONYM QU_UTPLSQL_API FOR &&1..QU_UTPLSQL_API;
CREATE OR REPLACE SYNONYM QU_VALIDATION_CP FOR &&1..QU_VALIDATION_CP;
CREATE OR REPLACE SYNONYM QU_VALIDATION_HDR_CP FOR &&1..QU_VALIDATION_HDR_CP;
CREATE OR REPLACE SYNONYM QU_VALIDATION_HDR_QP FOR &&1..QU_VALIDATION_HDR_QP;
CREATE OR REPLACE SYNONYM QU_VALIDATION_HDR_TP FOR &&1..QU_VALIDATION_HDR_TP;
CREATE OR REPLACE SYNONYM QU_VALIDATION_QP FOR &&1..QU_VALIDATION_QP;
CREATE OR REPLACE SYNONYM QU_VALIDATION_TP FOR &&1..QU_VALIDATION_TP;
CREATE OR REPLACE SYNONYM QU_VERIFY FOR &&1..QU_VERIFY;
CREATE OR REPLACE SYNONYM QU_WORKAROUND FOR &&1..QU_WORKAROUND;
CREATE OR REPLACE SYNONYM QU_XML FOR &&1..QU_XML;
CREATE OR REPLACE SYNONYM QV_QU_ASSERTION FOR &&1..QV_QU_ASSERTION;
CREATE OR REPLACE SYNONYM QV_QU_DATATYPE FOR &&1..QV_QU_DATATYPE;
CREATE OR REPLACE SYNONYM QV_QU_INTVAL_HDR FOR &&1..QV_QU_INTVAL_HDR;
CREATE OR REPLACE SYNONYM QV_QU_OPERATOR FOR &&1..QV_QU_OPERATOR;
CREATE OR REPLACE SYNONYM QV_QU_PROFILE FOR &&1..QV_QU_PROFILE;
CREATE OR REPLACE SYNONYM QV_QU_PROFILE_GROUP FOR &&1..QV_QU_PROFILE_GROUP;
CREATE OR REPLACE SYNONYM QV_QU_TEMPLATE FOR &&1..QV_QU_TEMPLATE;
CREATE OR REPLACE SYNONYM QV_QU_TEST_ELEMENT FOR &&1..QV_QU_TEST_ELEMENT;

REM Create synonyms FOR &&1..some tables

CREATE OR REPLACE SYNONYM qu_all_arguments FOR &&1..qu_all_arguments;
CREATE OR REPLACE SYNONYM qu_all_arguments_seq FOR &&1..qu_all_arguments_seq;

CREATE OR REPLACE SYNONYM qu_harness FOR &&1..qu_harness;
CREATE OR REPLACE SYNONYM qu_suite_harness FOR &&1..qu_suite_harness;
CREATE OR REPLACE SYNONYM qu_unit_test FOR &&1..qu_unit_test;
CREATE OR REPLACE SYNONYM qu_test_case FOR &&1..qu_test_case;
CREATE OR REPLACE SYNONYM qu_test_element FOR &&1..qu_test_element;
CREATE OR REPLACE SYNONYM qu_input FOR &&1..qu_input;
CREATE OR REPLACE SYNONYM qu_outcome FOR &&1..qu_outcome;
CREATE OR REPLACE SYNONYM qu_attributes FOR &&1..qu_attributes;
CREATE OR REPLACE SYNONYM qu_result FOR &&1..qu_result;

CREATE OR REPLACE SYNONYM qu_datatype FOR &&1..qu_datatype;
CREATE OR REPLACE SYNONYM qu_assertion FOR &&1..qu_assertion;
CREATE OR REPLACE SYNONYM qu_intval_hdr FOR &&1..qu_intval_hdr;
CREATE OR REPLACE SYNONYM qu_intval FOR &&1..qu_intval;
CREATE OR REPLACE SYNONYM qu_log FOR &&1..qu_log;

REM Create synonyms FOR &&1..some types

CREATE OR REPLACE SYNONYM qu_column_set_ot FOR &&1..qu_column_set_ot;
CREATE OR REPLACE SYNONYM qu_column_set_vat FOR &&1..qu_column_set_vat;
